LIBRARY = libReader.a#
OBJS = Reader.o

CC = g++
AR = ar
RM = /bin/rm -f

CFLAGS = -Wall -O2 -I../SceneGraph -I../Utility $(FLAGS)
ARFLAGS = rc

all: $(OBJS) VRMLReader
	$(AR) $(ARFLAGS) $(LIBRARY) $(OBJS) VRMLReader/*.o

%.o: %.cpp
	$(CC) $(CFLAGS) -c $< -o $@

VRMLReader:
	cd VRMLReader && make

clean:
	cd VRMLReader && make clean
	$(RM) *~ *.o $(LIBRARY)

.PHONY: VRMLReader

